#ifndef _HLM_H_
#define _HLM_H_

#include <StorageKit.h>
#include <String.h>

class HLM {
	public:
		HLM();
		~HLM();
		
		const char *L(const char *name);	// returns a language string from the
							// resources of this application.
		
		bool		LanguageAt(int32 id);
		const char 	*LanguageName(int32 id);
		int32		GetLIDByName(const char *name);
		void		LoadLanguage(int32 id);

	private:
		BResources	*res;
		BMessage	*msg;
		BString		languages[50];
};



#endif

